Cold Mail Reseller
    • Cold Mail Reseller API Documentation
    • Users
      • Retrieve all users
        GET
      • Get User Details
        GET
      • Create User
        POST
      • Update User Details
        PUT
      • Delete User
        DELETE
    • Geo
      • Get Countries List
        GET
      • Get States of a Country
        GET
    • Domains
      • Renewal
        • Domain Renewal Overview
        • Get domain renewal pricing
        • Renew domain
        • Enable or disable domain auto-renew
      • Get Domains For User
        GET
      • Suggest Available Domains
        POST
      • Get Single Available Domain
        POST
      • Check If Google Workspace Exists
        POST
      • Add domain forwarding
        POST
      • Add email forwarding
        POST
      • Add Google Client ID to Domain
        POST
      • Remove domains
        DELETE
    • Dns
      • Get dns records for a domain
        GET
      • Adds dns record
        POST
      • Update dns records
        PUT
      • Delete dns records
        DELETE
    • Orders
      • Get Order Details
        GET
      • Get Order Status
        GET
      • Creates order json
        POST
      • Order mailboxes (json)
        POST
      • Process the Order
        POST
      • Create Order
        POST
      • Add mailboxes to a subscription
        POST
    • Mailboxes
      • Get mailboxes for user
      • Get mailbox details by id
      • Get Mailbox Admin Details
      • Update mailbox details
      • Remove mailbox
    • Subscriptions
      • Get All Subscriptions
      • Renew Subscriptions
      • Toggle Auto renewal
      • Cancel Subscription
    • Webhooks
      • Overview
      • Events
        • Domain Events
        • Subscription Events
        • Mailbox Events
        • Prewarmup Events
    • Export
      • Re-export a mailbox (Oauth)
    • Pre-warmup
      • Get all pre warmed up mailboxes
      • Order pre-warmedup mailboxes
    • Get Wallet Details
      GET
    • Send error
      POST

      Send error

      Testing
      POST
      /send-errors
      Send errors faced while calling API to alert us of unexpected errors.

      Request

      Authorization
      API Key
      Add parameter in header
      cmr-x-api-key
      Example:
      cmr-x-api-key: ********************
      or
      Header Params

      Body Params application/json

      Example
      {
          "method": "POST",
          "path": "/api/v1/integration/orders/json",
          "query": "{\"userId\": \"ADSFRESPBX4XX8HVA3JHJ1BAAAAA\"}",
          "payload": "{\"google\": {\"appName\": \"Outreach app\",\"clientId\": \"111111-aaaaa.apps.googleusercontent.com\",\"googleOauthRoute\": \"https://accounts.google.com/o/oauth2/auth...\"},\"confirm\": true,\"domains\": [{\"years\": 1,\"domain\": \"johndoe.com\",\"forwardTo\": \"johndoe.ai\"}],\"autoRenew\": true,\"mailboxes\": {\"johndoe.com\": [{\"lastName\": \"Doe\",\"username\": \"john\", \"firstName\": \"John\", \"profilePicture\": \"https://cdn.sharepointonline.com/contoso.sharepoint.com/sites/site/library/asset.png\"}]}, \"billingCycle\": \"MONTHLY\",\"serviceProvider\": \"GOOGLE\",\"microsoftOauthRoute\": \"\"}",
          "response": "{\"status\": 500, \"message\": \"Internal server error\"}"
      }

      Request Code Samples

      Shell
      JavaScript
      Java
      Swift
      Go
      PHP
      Python
      HTTP
      C
      C#
      Objective-C
      Ruby
      OCaml
      Dart
      R
      Request Request Example
      Shell
      JavaScript
      Java
      Swift
      curl --location --request POST 'https://customers.coldmailreseller.com/api/v1/integration/send-errors' \
      --header 'cmr-x-api-key: <api-key>' \
      --header 'Content-Type: application/json' \
      --data-raw '{
          "method": "POST",
          "path": "/api/v1/integration/orders/json",
          "query": "{\"userId\": \"ADSFRESPBX4XX8HVA3JHJ1BAAAAA\"}",
          "payload": "{\"google\": {\"appName\": \"Outreach app\",\"clientId\": \"111111-aaaaa.apps.googleusercontent.com\",\"googleOauthRoute\": \"https://accounts.google.com/o/oauth2/auth...\"},\"confirm\": true,\"domains\": [{\"years\": 1,\"domain\": \"johndoe.com\",\"forwardTo\": \"johndoe.ai\"}],\"autoRenew\": true,\"mailboxes\": {\"johndoe.com\": [{\"lastName\": \"Doe\",\"username\": \"john\", \"firstName\": \"John\", \"profilePicture\": \"https://cdn.sharepointonline.com/contoso.sharepoint.com/sites/site/library/asset.png\"}]}, \"billingCycle\": \"MONTHLY\",\"serviceProvider\": \"GOOGLE\",\"microsoftOauthRoute\": \"\"}",
          "response": "{\"status\": 500, \"message\": \"Internal server error\"}"
      }'

      Responses

      🟢200Success
      application/json
      Body

      Example
      {}
      Modified at 2025-08-11 15:10:56
      Previous
      Get Wallet Details
      Built with